summaryrefslogtreecommitdiffstats
path: root/tests/code_analysis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/code_analysis.sh')
-rwxr-xr-xtests/code_analysis.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/tests/code_analysis.sh b/tests/code_analysis.sh
index d8ede8d4b..85b177223 100755
--- a/tests/code_analysis.sh
+++ b/tests/code_analysis.sh
@@ -6,10 +6,11 @@ echo "Running pep8"
pep8 pyload > pep8.txt
-echo "Running pyflakes"
-
+#echo "Running pyflakes"
# pyflakes to pylint syntak
-find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
+#find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
# Filter warnings and strip ./ from path
-cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
-sed -i 's/^.\///g' pyflakes.txt
+#cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
+#sed -i 's/^.\///g' pyflakes.txt
+
+pylint pyload > pylint.txt \ No newline at end of file